Package com.apple.foundationdb.directory

## Class DirectoryVersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.apple.foundationdb.directory.DirectoryVersionException

All Implemented Interfaces:
  `java.io.Serializable`

    public class DirectoryVersionException
    extends java.lang.RuntimeException

An `Exception` that is thrown when the version of the directory layer used to create directories in the database is incompatible with this version of the directory layer.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`